diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-usersettings-core/src/test/java/com/nuxeo/ecm/usersettings/core/RepositoryOSGITestCase.java
--- a/nuxeo-platform-usersettings-core/src/test/java/com/nuxeo/ecm/usersettings/core/RepositoryOSGITestCase.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-usersettings-core/src/test/java/com/nuxeo/ecm/usersettings/core/RepositoryOSGITestCase.java	Fri Mar 26 09:05:32 2010 +0100
@@ -55,172 +55,175 @@
     public static final String REPOSITORY_NAME = "demo";
 
     public static final String DOMAIN_NAME = "demo-domain";
-    
+
     protected Repository repository;
 
     private CoreSession coreSession;
 
     protected DocumentModel rootWorkspace = null;
-    
+
     protected DocumentModel domain = null;
 
     protected RepositoryOSGITestCase() {
     }
 
     protected RepositoryOSGITestCase(String name) {
-	super(name);
+        super(name);
     }
 
     protected void undeployBundle(String name) throws BundleException {
-	osgi.getRegistry().getBundle(name).uninstall();
+        osgi.getRegistry().getBundle(name).uninstall();
     }
-    
-    
+
     @Override
     public void setUp() throws Exception {
-	super.setUp();
-	
-	deployBundle("org.nuxeo.ecm.core.schema");
-	deployBundle("org.nuxeo.ecm.core.api");
-	deployBundle("org.nuxeo.ecm.core.event");
-	deployBundle("org.nuxeo.ecm.core");
-	deployBundle("org.nuxeo.ecm.core.jcr");
-	deployBundle("org.nuxeo.ecm.platform.usermanager.api");
-	deployBundle("org.nuxeo.ecm.platform.usermanager");
-	
+        super.setUp();
+
+        deployBundle("org.nuxeo.ecm.core.schema");
+        deployBundle("org.nuxeo.ecm.core.api");
+        deployBundle("org.nuxeo.ecm.core.event");
+        deployBundle("org.nuxeo.ecm.core");
+        deployBundle("org.nuxeo.ecm.core.jcr");
+        deployBundle("org.nuxeo.ecm.platform.usermanager.api");
+        deployBundle("org.nuxeo.ecm.platform.usermanager");
+
     }
 
     @Override
     public void tearDown() throws Exception {
-	
-	Framework.getLocalService(EventService.class).waitForAsyncCompletion();
-	releaseCoreSession(coreSession);
-	coreSession = null;
-	releaseRepository();
 
-	undeployBundle("org.nuxeo.ecm.platform.usermanager");
-	undeployBundle("org.nuxeo.ecm.platform.usermanager.api");
-	undeployBundle("org.nuxeo.ecm.core.jcr");
-	undeployBundle("org.nuxeo.ecm.core");
-	undeployBundle("org.nuxeo.ecm.core.event");
-	undeployBundle("org.nuxeo.ecm.core.api");
-	undeployBundle("org.nuxeo.ecm.core.schema");
-	
-	super.tearDown();
+        Framework.getLocalService(EventService.class).waitForAsyncCompletion();
+        releaseCoreSession(coreSession);
+        coreSession = null;
+        releaseRepository();
+
+        undeployBundle("org.nuxeo.ecm.platform.usermanager");
+        undeployBundle("org.nuxeo.ecm.platform.usermanager.api");
+        undeployBundle("org.nuxeo.ecm.core.jcr");
+        undeployBundle("org.nuxeo.ecm.core");
+        undeployBundle("org.nuxeo.ecm.core.event");
+        undeployBundle("org.nuxeo.ecm.core.api");
+        undeployBundle("org.nuxeo.ecm.core.schema");
+
+        super.tearDown();
     }
 
     protected void initRepository() throws Exception {
-	
-	if (repository == null) {
-	    // the repository should be deployed the last
-	    // after any other bundle that is doctypes
-	    // this is nuxeo-core-jcr-connector-test
-	    repositoryDeploy();
-	    repository = NXCore.getRepositoryService().getRepositoryManager().getRepository(REPOSITORY_NAME);
-	    createRootWorkspace();
-	}
-	
+
+        if (repository == null) {
+            // the repository should be deployed the last
+            // after any other bundle that is doctypes
+            // this is nuxeo-core-jcr-connector-test
+            repositoryDeploy();
+            repository = NXCore.getRepositoryService().getRepositoryManager().getRepository(
+                    REPOSITORY_NAME);
+            createRootWorkspace();
+        }
+
     }
 
     protected void openRepositoryAsUser(String userName) throws Exception {
-	initRepository();
-	coreSession = openCoreSession(userName);
+        initRepository();
+        coreSession = openCoreSession(userName);
     }
 
     protected void closeRepository() throws Exception {
-	releaseCoreSession(coreSession);
-	coreSession = null;
-	releaseRepository();
-	repositoryUndeploy();
+        releaseCoreSession(coreSession);
+        coreSession = null;
+        releaseRepository();
+        repositoryUndeploy();
     }
-    
+
     protected void repositoryDeploy() throws Exception {
-	if (!isRepositoryBundleDeployed) {
-	    deployBundle("org.nuxeo.ecm.core.jcr-connector");
-	    isRepositoryBundleDeployed = true;
-	}
+        if (!isRepositoryBundleDeployed) {
+            deployBundle("org.nuxeo.ecm.core.jcr-connector");
+            isRepositoryBundleDeployed = true;
+        }
     }
 
     protected void repositoryUndeploy() throws Exception {
-	if (isRepositoryBundleDeployed) {
-	    undeployBundle("org.nuxeo.ecm.core.jcr-connector");
-	    isRepositoryBundleDeployed = false;
-	}
+        if (isRepositoryBundleDeployed) {
+            undeployBundle("org.nuxeo.ecm.core.jcr-connector");
+            isRepositoryBundleDeployed = false;
+        }
     }
 
-
     public void openRepository() throws Exception {
-	openRepositoryAsUser("Administrator");
+        openRepositoryAsUser("Administrator");
     }
 
     public void openRepositoryWithSystemPrivileges() throws Exception {
-	openRepositoryAsUser(null);
+        openRepositoryAsUser(null);
     }
 
     public CoreSession getCoreSession() {
-	return coreSession;
+        return coreSession;
     }
 
     protected Repository getRepository() {
-	return repository;
+        return repository;
     }
 
     private void createRootWorkspace() throws ClientException {
 
-	CoreSession adminSession = openCoreSession("Administrator");
-	assertNotNull(adminSession);
-	domain = adminSession.createDocumentModel("/", RepositoryOSGITestCase.DOMAIN_NAME, "Domain");
-	domain = adminSession.createDocument(domain);
-	assertNotNull(domain);
-	domain = adminSession.saveDocument(domain);
-	rootWorkspace = adminSession.createDocumentModel(domain.getPathAsString(), RepositoryOSGITestCase.ROOT_WORKSPACE_NAME, "Workspace");
-	assertNotNull(rootWorkspace);
-	rootWorkspace = adminSession.createDocument(rootWorkspace);
-	rootWorkspace = adminSession.saveDocument(rootWorkspace);
-	adminSession.save();
-	CoreInstance.getInstance().close(adminSession);
-	
+        CoreSession adminSession = openCoreSession("Administrator");
+        assertNotNull(adminSession);
+        domain = adminSession.createDocumentModel("/",
+                RepositoryOSGITestCase.DOMAIN_NAME, "Domain");
+        domain = adminSession.createDocument(domain);
+        assertNotNull(domain);
+        domain = adminSession.saveDocument(domain);
+        rootWorkspace = adminSession.createDocumentModel(
+                domain.getPathAsString(),
+                RepositoryOSGITestCase.ROOT_WORKSPACE_NAME, "Workspace");
+        assertNotNull(rootWorkspace);
+        rootWorkspace = adminSession.createDocument(rootWorkspace);
+        rootWorkspace = adminSession.saveDocument(rootWorkspace);
+        adminSession.save();
+        CoreInstance.getInstance().close(adminSession);
+
     }
 
-    protected CoreSession openCoreSession(String userName) throws ClientException {
+    protected CoreSession openCoreSession(String userName)
+            throws ClientException {
 
-	CoreSession result = null;
-	Map<String, Serializable> ctx = new HashMap<String, Serializable>();
-	ctx.put("username", userName);
-	result = CoreInstance.getInstance().open(REPOSITORY_NAME, ctx);
-	assertNotNull(result);
-	return result;
-	
+        CoreSession result = null;
+        Map<String, Serializable> ctx = new HashMap<String, Serializable>();
+        ctx.put("username", userName);
+        result = CoreInstance.getInstance().open(REPOSITORY_NAME, ctx);
+        assertNotNull(result);
+        return result;
+
     }
 
     public void changeUser(String newUser) throws ClientException {
-	releaseCoreSession(coreSession);
-	coreSession = openCoreSession(newUser);
+        releaseCoreSession(coreSession);
+        coreSession = openCoreSession(newUser);
     }
 
     public void releaseRepository() {
-	if (repository != null) {
-	    repository.shutdown();
-	    repository = null;
-	}
+        if (repository != null) {
+            repository.shutdown();
+            repository = null;
+        }
     }
 
     public void releaseCoreSession(CoreSession session) {
-	if (session != null) {
-	    CoreInstance.getInstance().close(session);
-	}
+        if (session != null) {
+            CoreInstance.getInstance().close(session);
+        }
     }
 
     protected Session getSession() throws DocumentException {
-	return repository.getSession(null);
+        return repository.getSession(null);
     }
 
     protected EventServiceImpl eventService;
 
     protected void waitForEventsDispatched() {
-	if (eventService == null) {
-	    eventService = (EventServiceImpl) Framework.getLocalService(EventService.class);
-	}
-	eventService.waitForAsyncCompletion();
+        if (eventService == null) {
+            eventService = (EventServiceImpl) Framework.getLocalService(EventService.class);
+        }
+        eventService.waitForAsyncCompletion();
     }
 }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-usersettings-core/src/test/java/com/nuxeo/ecm/usersettings/core/SettingsProvider1.java
--- a/nuxeo-platform-usersettings-core/src/test/java/com/nuxeo/ecm/usersettings/core/SettingsProvider1.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-usersettings-core/src/test/java/com/nuxeo/ecm/usersettings/core/SettingsProvider1.java	Fri Mar 26 09:05:32 2010 +0100
@@ -18,41 +18,42 @@
     private static final long serialVersionUID = -2643607647191744171L;
 
     private static final Log log = LogFactory.getLog(SettingsProvider1.class);
-    
-    public DocumentModelList getUserSettings(DocumentModel userWorkspace, CoreSession coreSession, String userName)
-	    throws ClientException {
-	
-	DocumentModelList list = coreSession.getChildren(userWorkspace.getRef(), TEST_TYPE);
-	
-	if (list.size() == 0) {
-	    
-	    DocumentModel dm = coreSession.createDocumentModel(userWorkspace.getPathAsString(), "testsettings1", TEST_TYPE);	    
-	    
-	    dm.setProperty("testsettings1", "testprop1", TEST_PROPERTY_VALUE);
-	    
-	    DocumentModel doc = coreSession.createDocument(dm);
-	    
-	    coreSession.save();
-	    
-	    list.add(doc);
-	    
-	}
-	
-	return list;
-	
+
+    public DocumentModelList getUserSettings(DocumentModel userWorkspace,
+            CoreSession coreSession, String userName) throws ClientException {
+
+        DocumentModelList list = coreSession.getChildren(
+                userWorkspace.getRef(), TEST_TYPE);
+
+        if (list.size() == 0) {
+
+            DocumentModel dm = coreSession.createDocumentModel(
+                    userWorkspace.getPathAsString(), "testsettings1", TEST_TYPE);
+
+            dm.setProperty("testsettings1", "testprop1", TEST_PROPERTY_VALUE);
+
+            DocumentModel doc = coreSession.createDocument(dm);
+
+            coreSession.save();
+
+            list.add(doc);
+
+        }
+
+        return list;
+
     }
 
     public Boolean isTypeSupported(String type) {
-	
-	return TEST_TYPE.equals(type);
-	
+
+        return TEST_TYPE.equals(type);
+
     }
 
     public Boolean isTypeSupported(DocumentType type) {
-	
-	return isTypeSupported(type.getName());
-	
+
+        return isTypeSupported(type.getName());
+
     }
-    
-    
+
 }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-usersettings-core/src/test/java/com/nuxeo/ecm/usersettings/core/SettingsProvider2.java
--- a/nuxeo-platform-usersettings-core/src/test/java/com/nuxeo/ecm/usersettings/core/SettingsProvider2.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-usersettings-core/src/test/java/com/nuxeo/ecm/usersettings/core/SettingsProvider2.java	Fri Mar 26 09:05:32 2010 +0100
@@ -18,41 +18,42 @@
     private static final long serialVersionUID = -2643607647191744171L;
 
     private static final Log log = LogFactory.getLog(SettingsProvider2.class);
-    
-    public DocumentModelList getUserSettings(DocumentModel userWorkspace, CoreSession coreSession, String userName)
-	    throws ClientException {
-	
-	DocumentModelList list = coreSession.getChildren(userWorkspace.getRef(), TEST_TYPE);
-	
-	if (list.size() == 0) {
-	    
-	    DocumentModel dm = coreSession.createDocumentModel(userWorkspace.getPathAsString(), "testsettings2", TEST_TYPE);
-	    
-	    dm.setProperty("testsettings2", "testprop2", TEST_PROPERTY_VALUE);
-	    
-	    DocumentModel doc = coreSession.createDocument(dm);
-	    
-	    coreSession.save();
-	    
-	    list.add(doc);
-	    
-	}
-	
-	return list;
-	
+
+    public DocumentModelList getUserSettings(DocumentModel userWorkspace,
+            CoreSession coreSession, String userName) throws ClientException {
+
+        DocumentModelList list = coreSession.getChildren(
+                userWorkspace.getRef(), TEST_TYPE);
+
+        if (list.size() == 0) {
+
+            DocumentModel dm = coreSession.createDocumentModel(
+                    userWorkspace.getPathAsString(), "testsettings2", TEST_TYPE);
+
+            dm.setProperty("testsettings2", "testprop2", TEST_PROPERTY_VALUE);
+
+            DocumentModel doc = coreSession.createDocument(dm);
+
+            coreSession.save();
+
+            list.add(doc);
+
+        }
+
+        return list;
+
     }
 
     public Boolean isTypeSupported(String type) {
-	
-	return TEST_TYPE.equals(type);
-	
+
+        return TEST_TYPE.equals(type);
+
     }
 
     public Boolean isTypeSupported(DocumentType type) {
-	
-	return isTypeSupported(type.getName());
-	
+
+        return isTypeSupported(type.getName());
+
     }
-    
-    
+
 }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-usersettings-core/src/test/java/com/nuxeo/ecm/usersettings/core/TestUserSettingsCoreAdvanced.java
--- a/nuxeo-platform-usersettings-core/src/test/java/com/nuxeo/ecm/usersettings/core/TestUserSettingsCoreAdvanced.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-usersettings-core/src/test/java/com/nuxeo/ecm/usersettings/core/TestUserSettingsCoreAdvanced.java	Fri Mar 26 09:05:32 2010 +0100
@@ -40,111 +40,110 @@
 
     private UserSettingsService service;
 
-    
     @Override
     public void setUp() throws Exception {
 
-	super.setUp();
+        super.setUp();
 
-	// Bundle to be tested
-	deployBundle("org.nuxeo.ecm.usersettings.types");
-	deployBundle("org.nuxeo.ecm.usersettings.api");
-	deployBundle("org.nuxeo.ecm.usersettings.core");
-	deployBundle("org.nuxeo.ecm.usersettings.core.test");
-	deployBundle("org.nuxeo.ecm.platform.userworkspace.types");
-	deployBundle("org.nuxeo.ecm.platform.userworkspace.api");
-	deployBundle("org.nuxeo.ecm.platform.userworkspace.core");
+        // Bundle to be tested
+        deployBundle("org.nuxeo.ecm.usersettings.types");
+        deployBundle("org.nuxeo.ecm.usersettings.api");
+        deployBundle("org.nuxeo.ecm.usersettings.core");
+        deployBundle("org.nuxeo.ecm.usersettings.core.test");
+        deployBundle("org.nuxeo.ecm.platform.userworkspace.types");
+        deployBundle("org.nuxeo.ecm.platform.userworkspace.api");
+        deployBundle("org.nuxeo.ecm.platform.userworkspace.core");
 
-	// Initialize the test environment
-	openRepositoryAsUser("testuser");
+        // Initialize the test environment
+        openRepositoryAsUser("testuser");
 
-	service = Framework.getLocalService(UserSettingsService.class);
+        service = Framework.getLocalService(UserSettingsService.class);
 
-	checkDeployment();
+        checkDeployment();
 
     }
 
     private void checkDeployment() throws Exception {
-	SchemaManager smgr = Framework.getService(SchemaManager.class);
+        SchemaManager smgr = Framework.getService(SchemaManager.class);
 
-	assertNotNull(smgr);
+        assertNotNull(smgr);
 
-	assertNotNull(smgr.getSchema("testsettings1"));
-	assertNotNull(smgr.getSchema("testsettings2"));
+        assertNotNull(smgr.getSchema("testsettings1"));
+        assertNotNull(smgr.getSchema("testsettings2"));
 
-	assertNotNull(smgr.getDocumentType("TestSettings1"));
-	assertNotNull(smgr.getDocumentType("TestSettings2"));
+        assertNotNull(smgr.getDocumentType("TestSettings1"));
+        assertNotNull(smgr.getDocumentType("TestSettings2"));
     }
 
     @Override
     public void tearDown() throws Exception {
 
-	try {
-	    Framework.getLocalService(EventService.class).waitForAsyncCompletion();
-	} catch (Exception e) {
-	}
+        try {
+            Framework.getLocalService(EventService.class).waitForAsyncCompletion();
+        } catch (Exception e) {
+        }
 
-	closeRepository();
+        closeRepository();
 
-	undeployBundle("org.nuxeo.ecm.platform.userworkspace.core");
-	undeployBundle("org.nuxeo.ecm.platform.userworkspace.api"); 
-	undeployBundle("org.nuxeo.ecm.platform.userworkspace.types");
-	undeployBundle("org.nuxeo.ecm.usersettings.core.test");
-	undeployBundle("org.nuxeo.ecm.usersettings.core");
-	undeployBundle("org.nuxeo.ecm.usersettings.api");
-	undeployBundle("org.nuxeo.ecm.usersettings.types");
+        undeployBundle("org.nuxeo.ecm.platform.userworkspace.core");
+        undeployBundle("org.nuxeo.ecm.platform.userworkspace.api");
+        undeployBundle("org.nuxeo.ecm.platform.userworkspace.types");
+        undeployBundle("org.nuxeo.ecm.usersettings.core.test");
+        undeployBundle("org.nuxeo.ecm.usersettings.core");
+        undeployBundle("org.nuxeo.ecm.usersettings.api");
+        undeployBundle("org.nuxeo.ecm.usersettings.types");
 
-	super.tearDown();
+        super.tearDown();
 
     }
 
     public void testGetAllCurrentUserSettings() throws Exception {
 
-	getAllCurrentUserSettings();
-	getAllCurrentUserSettings();
+        getAllCurrentUserSettings();
+        getAllCurrentUserSettings();
 
     }
 
     private void getAllCurrentUserSettings() throws ClientException {
-	DocumentModelList docs = service.getCurrentUserSettings(getCoreSession());
-	assertEquals(2, docs.size());
-	Map<String, DocumentModel> sets = new HashMap<String, DocumentModel>();
-	Iterator<DocumentModel> it = docs.iterator();
-	while (it.hasNext()) {
-	    DocumentModel doc = it.next();
-	    sets.put(doc.getType(), doc);
-	}
-	assertTrue(sets.containsKey("TestSettings1"));
-	assertTrue(sets.containsKey("TestSettings2"));
-	assertTrue(sets.get("TestSettings1").hasSchema("testsettings1"));
-	assertTrue(sets.get("TestSettings2").hasSchema("testsettings2"));
-	assertTrue(((String) (sets.get("TestSettings1").getProperty("testsettings1", "testprop1")))
-		.equalsIgnoreCase(SettingsProvider1.TEST_PROPERTY_VALUE));
-	assertTrue(((String) (sets.get("TestSettings2").getProperty("testsettings2", "testprop2")))
-		.equalsIgnoreCase(SettingsProvider2.TEST_PROPERTY_VALUE));
+        DocumentModelList docs = service.getCurrentUserSettings(getCoreSession());
+        assertEquals(2, docs.size());
+        Map<String, DocumentModel> sets = new HashMap<String, DocumentModel>();
+        Iterator<DocumentModel> it = docs.iterator();
+        while (it.hasNext()) {
+            DocumentModel doc = it.next();
+            sets.put(doc.getType(), doc);
+        }
+        assertTrue(sets.containsKey("TestSettings1"));
+        assertTrue(sets.containsKey("TestSettings2"));
+        assertTrue(sets.get("TestSettings1").hasSchema("testsettings1"));
+        assertTrue(sets.get("TestSettings2").hasSchema("testsettings2"));
+        assertTrue(((String) (sets.get("TestSettings1").getProperty(
+                "testsettings1", "testprop1"))).equalsIgnoreCase(SettingsProvider1.TEST_PROPERTY_VALUE));
+        assertTrue(((String) (sets.get("TestSettings2").getProperty(
+                "testsettings2", "testprop2"))).equalsIgnoreCase(SettingsProvider2.TEST_PROPERTY_VALUE));
     }
 
     public void testGetAllCurrentUserSettingsFilterType() throws Exception {
 
-	getAllCurrentUserSettingsFilterType();
-	getAllCurrentUserSettingsFilterType();
+        getAllCurrentUserSettingsFilterType();
+        getAllCurrentUserSettingsFilterType();
 
     }
 
     private void getAllCurrentUserSettingsFilterType() throws ClientException {
-	DocumentModelList docs = service.getCurrentUserSettings(getCoreSession(), "TestSettings1");
-	assertEquals(1, docs.size());
-	Map<String, DocumentModel> sets = new HashMap<String, DocumentModel>();
-	Iterator<DocumentModel> it = docs.iterator();
-	while (it.hasNext()) {
-	    DocumentModel doc = it.next();
-	    sets.put(doc.getType(), doc);
-	}
-	assertTrue(sets.containsKey("TestSettings1"));
-	assertTrue(sets.get("TestSettings1").hasSchema("testsettings1"));
-	assertTrue(((String) (sets.get("TestSettings1").getProperty("testsettings1", "testprop1")))
-		.equalsIgnoreCase(SettingsProvider1.TEST_PROPERTY_VALUE));
+        DocumentModelList docs = service.getCurrentUserSettings(
+                getCoreSession(), "TestSettings1");
+        assertEquals(1, docs.size());
+        Map<String, DocumentModel> sets = new HashMap<String, DocumentModel>();
+        Iterator<DocumentModel> it = docs.iterator();
+        while (it.hasNext()) {
+            DocumentModel doc = it.next();
+            sets.put(doc.getType(), doc);
+        }
+        assertTrue(sets.containsKey("TestSettings1"));
+        assertTrue(sets.get("TestSettings1").hasSchema("testsettings1"));
+        assertTrue(((String) (sets.get("TestSettings1").getProperty(
+                "testsettings1", "testprop1"))).equalsIgnoreCase(SettingsProvider1.TEST_PROPERTY_VALUE));
     }
 
-
 }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-usersettings-facade/src/main/java/org/nuxeo/ecm/platform/usersettings/ejb/UserSettingsServiceBean.java
--- a/nuxeo-platform-usersettings-facade/src/main/java/org/nuxeo/ecm/platform/usersettings/ejb/UserSettingsServiceBean.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-usersettings-facade/src/main/java/org/nuxeo/ecm/platform/usersettings/ejb/UserSettingsServiceBean.java	Fri Mar 26 09:05:32 2010 +0100
@@ -48,130 +48,145 @@
 
     @PostConstruct
     public void initialize() {
-	getUserSettingsService();
+        getUserSettingsService();
     }
 
     private UserSettingsService getUserSettingsService() {
-	if (userManager == null) {
-	    userManager = Framework.getLocalService(UserSettingsService.class);
-	}
-	return userManager;
+        if (userManager == null) {
+            userManager = Framework.getLocalService(UserSettingsService.class);
+        }
+        return userManager;
     }
 
     public void cleanup() {
     }
 
-    public Map<String, UserSettingsProvider> getAllRegisteredProviders() throws ClientException {
-	try {
-	    return getUserSettingsService().getAllRegisteredProviders();
-	} catch (Throwable e) {
-	    throw ClientException.wrap(e);
-	}
+    public Map<String, UserSettingsProvider> getAllRegisteredProviders()
+            throws ClientException {
+        try {
+            return getUserSettingsService().getAllRegisteredProviders();
+        } catch (Throwable e) {
+            throw ClientException.wrap(e);
+        }
     }
 
-    public DocumentModelList getCurrentUserSettings(CoreSession coreSession) throws ClientException {
-	try {
-	    return getUserSettingsService().getCurrentUserSettings(coreSession);
-	} catch (Throwable e) {
-	    throw ClientException.wrap(e);
-	}
+    public DocumentModelList getCurrentUserSettings(CoreSession coreSession)
+            throws ClientException {
+        try {
+            return getUserSettingsService().getCurrentUserSettings(coreSession);
+        } catch (Throwable e) {
+            throw ClientException.wrap(e);
+        }
     }
 
-    public DocumentModelList getCurrentUserSettings(CoreSession coreSession, DocumentType filter) throws ClientException {
-	try {
-	    return getUserSettingsService().getCurrentUserSettings(coreSession, filter);
-	} catch (Throwable e) {
-	    throw ClientException.wrap(e);
-	}
+    public DocumentModelList getCurrentUserSettings(CoreSession coreSession,
+            DocumentType filter) throws ClientException {
+        try {
+            return getUserSettingsService().getCurrentUserSettings(coreSession,
+                    filter);
+        } catch (Throwable e) {
+            throw ClientException.wrap(e);
+        }
     }
 
-    public DocumentModelList getCurrentUserSettings(CoreSession coreSession, String type) throws ClientException {
-	try {
-	    return getUserSettingsService().getCurrentUserSettings(coreSession, type);
-	} catch (Throwable e) {
-	    throw ClientException.wrap(e);
-	}
+    public DocumentModelList getCurrentUserSettings(CoreSession coreSession,
+            String type) throws ClientException {
+        try {
+            return getUserSettingsService().getCurrentUserSettings(coreSession,
+                    type);
+        } catch (Throwable e) {
+            throw ClientException.wrap(e);
+        }
     }
 
-    public DocumentModelList getUserSettings(String userName) throws ClientException {
-	try {
-	    return getUserSettingsService().getUserSettings(userName);
-	} catch (Throwable e) {
-	    throw ClientException.wrap(e);
-	}
+    public DocumentModelList getUserSettings(String userName)
+            throws ClientException {
+        try {
+            return getUserSettingsService().getUserSettings(userName);
+        } catch (Throwable e) {
+            throw ClientException.wrap(e);
+        }
     }
 
-    public DocumentModelList getUserSettings(String userName, DocumentType filter) throws ClientException {
-	try {
-	    return getUserSettingsService().getUserSettings(userName, filter);
-	} catch (Throwable e) {
-	    throw ClientException.wrap(e);
-	}
+    public DocumentModelList getUserSettings(String userName,
+            DocumentType filter) throws ClientException {
+        try {
+            return getUserSettingsService().getUserSettings(userName, filter);
+        } catch (Throwable e) {
+            throw ClientException.wrap(e);
+        }
     }
 
-    public DocumentModelList getUserSettings(String userName, String type) throws ClientException {
-	try {
-	    return getUserSettingsService().getUserSettings(userName, type);
-	} catch (Throwable e) {
-	    throw ClientException.wrap(e);
-	}
+    public DocumentModelList getUserSettings(String userName, String type)
+            throws ClientException {
+        try {
+            return getUserSettingsService().getUserSettings(userName, type);
+        } catch (Throwable e) {
+            throw ClientException.wrap(e);
+        }
     }
 
-    public DocumentModelList getUserSettings(CoreSession coreSession, String userName) throws ClientException {
-	try {
-	    return getUserSettingsService().getUserSettings(coreSession, userName);
-	} catch (Throwable e) {
-	    throw ClientException.wrap(e);
-	}
+    public DocumentModelList getUserSettings(CoreSession coreSession,
+            String userName) throws ClientException {
+        try {
+            return getUserSettingsService().getUserSettings(coreSession,
+                    userName);
+        } catch (Throwable e) {
+            throw ClientException.wrap(e);
+        }
     }
 
-    public DocumentModelList getUserSettings(CoreSession coreSession, String userName, DocumentType filter)
-	    throws ClientException {
-	try {
-	    return getUserSettingsService().getUserSettings(coreSession, userName, filter);
-	} catch (Throwable e) {
-	    throw ClientException.wrap(e);
-	}
+    public DocumentModelList getUserSettings(CoreSession coreSession,
+            String userName, DocumentType filter) throws ClientException {
+        try {
+            return getUserSettingsService().getUserSettings(coreSession,
+                    userName, filter);
+        } catch (Throwable e) {
+            throw ClientException.wrap(e);
+        }
     }
 
-    public DocumentModelList getUserSettings(CoreSession coreSession, String userName, String type) throws ClientException {
-	try {
-	    return getUserSettingsService().getUserSettings(coreSession, userName, type);
-	} catch (Throwable e) {
-	    throw ClientException.wrap(e);
-	}
+    public DocumentModelList getUserSettings(CoreSession coreSession,
+            String userName, String type) throws ClientException {
+        try {
+            return getUserSettingsService().getUserSettings(coreSession,
+                    userName, type);
+        } catch (Throwable e) {
+            throw ClientException.wrap(e);
+        }
     }
 
     public void initService() throws Exception {
-	try {
-	    getUserSettingsService().initService();
-	} catch (Throwable e) {
-	    throw ClientException.wrap(e);
-	}
+        try {
+            getUserSettingsService().initService();
+        } catch (Throwable e) {
+            throw ClientException.wrap(e);
+        }
     }
 
-    public void registerProvider(String providerName, UserSettingsProvider provider) throws ClientException {
-	try {
-	    getUserSettingsService().registerProvider(providerName, provider);
-	} catch (Throwable e) {
-	    throw ClientException.wrap(e);
-	}
+    public void registerProvider(String providerName,
+            UserSettingsProvider provider) throws ClientException {
+        try {
+            getUserSettingsService().registerProvider(providerName, provider);
+        } catch (Throwable e) {
+            throw ClientException.wrap(e);
+        }
     }
 
     public void termService() throws Exception {
-	try {
-	    getUserSettingsService().termService();
-	} catch (Throwable e) {
-	    throw ClientException.wrap(e);
-	}
+        try {
+            getUserSettingsService().termService();
+        } catch (Throwable e) {
+            throw ClientException.wrap(e);
+        }
     }
 
     public void unRegisterProvider(String providerName) throws ClientException {
-	try {
-	    getUserSettingsService().unRegisterProvider(providerName);
-	} catch (Throwable e) {
-	    throw ClientException.wrap(e);
-	}
+        try {
+            getUserSettingsService().unRegisterProvider(providerName);
+        } catch (Throwable e) {
+            throw ClientException.wrap(e);
+        }
     }
 
 }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-usersettings-types/src/main/java/com/nuxeo/ecm/usersettings/types/UserSettingsWrapper.java
--- a/nuxeo-platform-usersettings-types/src/main/java/com/nuxeo/ecm/usersettings/types/UserSettingsWrapper.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-usersettings-types/src/main/java/com/nuxeo/ecm/usersettings/types/UserSettingsWrapper.java	Fri Mar 26 09:05:32 2010 +0100
@@ -1,26 +1,27 @@
-
 package com.nuxeo.ecm.usersettings.types;
 
 import org.nuxeo.ecm.core.api.ClientException;
 import org.nuxeo.ecm.core.api.DocumentModel;
 
-
 public class UserSettingsWrapper {
 
     private DocumentModel document;
-    
+
     public void setUser(String user) throws ClientException {
-	document.setProperty(UserSettingsType.SCHEMA, UserSettingsType.PROP_USER, user);
+        document.setProperty(UserSettingsType.SCHEMA,
+                UserSettingsType.PROP_USER, user);
     }
 
     public String getUser() throws ClientException {
-	return (String) document.getProperty(UserSettingsType.SCHEMA, UserSettingsType.PROP_USER);
+        return (String) document.getProperty(UserSettingsType.SCHEMA,
+                UserSettingsType.PROP_USER);
     }
 
     public UserSettingsWrapper(DocumentModel document) throws ClientException {
-	if (document == null) throw new ClientException("Forbidden to instanciate a wrapper with null document");
-	this.document = document;
+        if (document == null)
+            throw new ClientException(
+                    "Forbidden to instanciate a wrapper with null document");
+        this.document = document;
     }
-    
-    
+
 }
